/** 
 *------------------------------------------------------------------------------
 * @package       T3 Framework for Joomla!
 *------------------------------------------------------------------------------
 * @copyright     Copyright (C) 2004-2013 JoomlArt.com. All Rights Reserved.
 * @license       GNU General Public License version 2 or later; see LICENSE.txt
 * @authors       JoomlArt, JoomlaBamboo, (contribute to this project at github 
 *                & Google group to become co-author)
 * @Google group: https://groups.google.com/forum/#!forum/t3fw
 * @Link:         http://t3-framework.org 
 *------------------------------------------------------------------------------
 */

// ---------------------------------------------------------
// MAIN TEMPLATE STYLES
// ---------------------------------------------------------

// 
// HEADER
// ---------------------------------------------------------

.t3-header {
  padding: (@t3-global-padding*2.0) 0 0 0;
	border-bottom: 1px dotted @t3-border-color;
}


// Logo
// ----
.logo {
  text-align: left;
	padding-bottom: 25px;

  // Add padding on off-canvas enabled
	@media (min-width: @screen-md) and (max-width: @screen-lg) {
		padding-left: 55px;
  }
	
	// Left align the logo on  Tablets / Desktop
 	@media (max-width: @screen-sm-max) {
    text-align: center;
  }

  a {
    display: inline-block;
    line-height: 1;
    margin: 0;
  }
}

// Logo Image
// ----------
.logo-image {
  // Hide sitename and slogan
  span, small {
    display: none;
  }
}

// Logo Text
// ----------
.logo-text {

  a {
    text-decoration: none;
    font-size: ceil(@font-size-base * 2);
    font-weight: bold;
  }

  &:hover a,
  a:hover,
  a:active,
  a:focus {
    text-decoration: none;
  }

  // Taglines
  .site-slogan {
    display: block;
    font-size: @font-size-base;
    margin-top: 5px;
  }

}

// Head Search
// -----------
.head-search {

  margin-top: @t3-global-margin;
  .clearfix();

  form {
    margin: 0;
  }
  
  label {
    display: none;
  }
  
  .search {
    position: relative;
    // Place a search icon
    &:before {
      font-family: "FontAwesome";
      content: "\f002";
      display: block;
      position: absolute;
      left: 10px;
      top: 6px;
      color: @gray;
    }
    // Float to right on Tablets / Desktop
    @media screen and (min-width: @screen-sm) {
      float: right;
    }
  }
  
  .form-control {
    width : 100%;
    padding-left: 30px;

    // Width Control on Tablets / Desktop
    @media screen and (min-width: @screen-sm) {
      width: 150px;
      // focus state
      &:focus {
        width: 200px;
      }
    }
  }
}



// ---------------------------------------------------------
// SPOTLIGHTS
// ---------------------------------------------------------

.t3-sl {
  padding-bottom: @t3-global-padding * 2;
  padding-top: @t3-global-padding * 2;
}

// Newsletter
// -----------
.t3-newsletter {
	padding-top: @t3-global-padding;
	padding-bottom: @t3-global-padding/2;
}


// Spotlight 1
// -----------
.t3-sl-1 {
	background-color: @brand-primary;
}

// Spotlight 2
// -----------
.t3-sl-2 {
		border-bottom: 1px dotted @t3-border-color;
}

// Spotlight 3
// -----------
.t3-sl-3 {
	.container {
  	padding-bottom: @t3-global-padding;
	}
}

// Spotlight 4
// -----------
.t3-sl-4 {
}

// slider 
// ------
.t3-slider, .t3-gmaps {
	background: @white url(../images/stripline.png) 0 100% repeat-x;
}

.t3-gmaps {
	padding-bottom: 10px;
}

// Promo
// -----
.t3-promo {
	h1, h2 {
		margin: 0;
		font-size: @font-size-base*3.0;
		color: @link-color;
		line-height: normal;
	}
	a {
		text-transform: uppercase;
	}
	// center it on Tablet / Desktop
  @media screen and (max-width: @screen-sm-max) {
		text-align: center;
		.pull-right {
			float: none!important;
			margin: @t3-global-margin auto 0;
			display: inline-block;
		}
	}
}

// Homepage portfolio
// ------------------
.t3-portfolio {
	hr {
		border-top: 1px dotted @t3-border-color;
		margin: 0 0 @t3-global-margin*3 0;
	}
}


// ---------------------------------------------------------
// MAIN BODY
// ---------------------------------------------------------
.t3-mainbody {
  padding-top: @line-height-computed * 2 ;
  padding-bottom: 0;
	
	.t3-content-top {
		img {
			padding-right: 10px;
		}
	}
}

// Content
// -------
.t3-content {
  padding-top: @line-height-computed ;
  padding-bottom: @line-height-computed;
}

// Sidebars
// --------
.t3-sidebar {
  padding-top: @line-height-computed;
  padding-bottom: @line-height-computed;
	
	// sidebar module
	.t3-module {
		margin-bottom: @t3-global-margin * 2.5;
		
		&:last-child {
			margin-bottom: @t3-global-margin * 2;
		}
	}
}

.t3-sidebar-1 {
}

.t3-sidebar-2 {
}



// ---------------------------------------------------------
// FOOTER
// ---------------------------------------------------------
.t3-footer {
	padding: (@t3-global-padding * 3) 0 (@t3-global-padding * 1.5) 0;
  background: @t3-footer-background;
  color: @t3-footer-text-color;
	font-size: @font-size-small;
  .clearfix();
	
	.container {
		margin-bottom: @t3-global-margin;
	}

  // small
  small {
    display: block;
    font-size: 100%; //Use global footer font size.
  }
	
	// form inputbox
 	.inputbox {
		background-color: transparent;
		border: 1px dotted @gray-dark;
		
		&:hover, &:focus {
			border: 1px dotted @gray;
			background-color: transparent;
		}
	}

  // links
  a {
    // Link States
    &:hover, &:active, &:focus {
    }
  }
	
  // Footnav Modules
  .t3-module {
    background: @t3-footer-module-background;
    color: @t3-footer-module-text-color;
		margin-bottom: @t3-global-margin*2.0;
    //margin-top: @line-height-computed / 2;
    //margin-bottom: @line-height-computed / 2;

    .module-title {
      color: @t3-footer-module-title-color;
      font-size: @font-size-large;
      padding-bottom: @padding-base-vertical;
    }

    ul {
      list-style: none;
      margin-left: 0;
      margin-bottom: 0;
      padding-left: 0;
			border-top: 1px dotted @gray-dark;

      > li {
        line-height: normal;
        // links
        > a {
          color: @t3-footer-module-text-color;
					background: url(../images/arrow3.png) 0 -19px no-repeat;
					border-bottom: 1px dotted @gray-dark;
					border-radius: @border-radius-base;
					
          // Link States
          &:hover, &:active, &:focus {
            color: @white;
						background-color: transparent;
          }
        }
      }
    }

  }
}

// Foot Nav
// --------
.t3-footnav {
  padding: 0;
  .clearfix();

  // full width on Tablet / Desktop
  @media screen and (max-width: @screen-sm) {
    .col-xs-1 {
			width: 100%;
		}
  }
}

// Copyright
// ---------
.t3-copyright {
  font-size: @t3-font-size-smaller;
	background: #111;
	padding: (@t3-global-padding*1.25) 0;
	line-height: 1.5;
  .clearfix();
	
	p {
		margin: 0;
	}
	
	a {
		color: @t3-footer-text-color;
		&:hover {
			color: @link-color;
			text-decoration: none;
		}
	}
	
  // Align center on Tablet / Desktop
  @media screen and (max-width: @screen-xs-max) {
    text-align: center;
		ul.social {
			text-align: center;
			margin-left: -(@t3-global-margin*2);
			margin-top: @t3-global-margin;
		}
  }

}

.poweredby {
  .clearfix();

  .t3-logo,
  .t3-logo-small {
    opacity: .8;
    display: inline-block;
  }
}